#
# spec file for package lclint (Version 2.5q)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  man tcsh
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim

Name:         lclint
Copyright:    GPL
Group:        Development/Tools 
Autoreqprov:  on
Version:      2.5q
Release:      150
Summary:      A tool for statically checking C programs
Url:          http://www.sds.lcs.mit.edu/lclint/
Source:       lclint-%{version}.src.tar.bz2
Patch:        lclint-%{version}.dif
Patch1:       lclint-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
With minimal effort, LCLint can be used as a better lint.  If additional effort
is invested adding annotations to programs, LCLint can perform stronger checks
than can be done by any standard lint.

Authors:
--------
    David Evans <evs@larch.lcs.mit.edu>

SuSE series: d

%prep
%setup -n lclint-%{version}
%patch
%patch1

%build
./configure
make CCOPT="gcc $RPM_OPT_FLAGS"
export LARCH_PATH=$RPM_BUILD_DIR/lclint-%{version}/lib
export LCLIMPORTDIR=$RPM_BUILD_DIR/lclint-%{version}/imports
echo $LARCH_PATH
make test

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
/usr/bin/lclint
/usr/lib/lclint/

%changelog -n lclint
* Fri Apr 20 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Feb 12 2001 - cihlar@suse.cz
- fixed to compile
* Sun Feb 04 2001 - bk@suse.de
- use RPM_OPT_FLAGS to use distribution(and platform) optimisations
* Thu Jan 25 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Mon Nov 13 2000 - cihlar@suse.cz
- repacked sources to fix to compile
* Wed Nov 08 2000 - cihlar@suse.cz
- upgrade to version 2.5q
- bzipped sources
- fixed copyright tag
- added make test
* Fri May 26 2000 - cihlar@suse.cz
- upgrade to version 2.5m
* Mon May 15 2000 - cihlar@suse.cz
- Group sorted
* Thu Mar 16 2000 - cihlar@suse.cz
- upgrade to version 2.4b
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jun 08 1997 - florian@suse.de
- first version of lclint 2.2a for S.u.S.E.
